> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Kafka users

> Retrieves the Kafka users for the cluster. Passwords are never included.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /kafka-clusters/{uuid}/users
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/users:
    get:
      tags:
        - Kafka Clusters
      summary: List Kafka users
      description: Retrieves the Kafka users for the cluster. Passwords are never included.
      operationId: kafka_user_list
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyKafkaUser'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    ListResponseBodyKafkaUser:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsKafkaUser'
          type: array
      required:
        - items
      type: object
    PayloadsKafkaUser:
      properties:
        accessProfile:
          type: string
        consumerGroupPrefix:
          type: string
        createdAt:
          format: date-time
          type: string
        status:
          type: string
        username:
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - username
        - accessProfile
        - status
        - createdAt
        - consumerGroupPrefix
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.